POST externallinks
POST
Bearerheader
AuthorizationBearer <token>Paste your JWT token here
application/json- body
Defines the DTO for creating an external link.
titleDutch*stringThe Dutch title for the external link.
Length
0 <= length <= 120titleEnglish*stringThe English title for the external link.
Length
0 <= length <= 120descriptionDutch*stringThe Dutch description for the external link.
Length
0 <= length <= 2000descriptionEnglish*stringThe English description for the external link.
Length
0 <= length <= 2000url*stringThe destination URL of the link.
Length
0 <= length <= 2000sortOrder?|The order in which this link should be displayed.
Format
int32Created
application/json- response
Represents the response DTO for an external link.
id*integerThe unique identifier of an ExternalLink, assigned incrementally.
Format
int32titleDutch*stringThe Dutch title for the external link.
titleEnglish*stringThe English title for the external link.
descriptionDutch*stringThe Dutch description for the external link.
descriptionEnglish*stringThe English description for the external link.
url*stringThe destination URL of the link.
sortOrder*integerThe order in which this link should be displayed.
Format
int32iconPath?|The storage path of the icon associated with this link.
curl -X POST 'https://example.com/externallinks' \ -H 'Content-Type: application/json' \ -d '{ "titleDutch": "string", "titleEnglish": "string", "descriptionDutch": "string", "descriptionEnglish": "string", "url": "string"}'{ "id": 0, "titleDutch": "string", "titleEnglish": "string", "descriptionDutch": "string", "descriptionEnglish": "string", "url": "string", "sortOrder": 0, "iconPath": "string"}